# Makefile for VgaGames: collision/

all: bitfld.o quadtree.o collision.o

clean:
	rm -f *.o


bitfld.o: bitfld.c bitfld.h collision.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c bitfld.c

quadtree.o: quadtree.c quadtree.h collision.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c quadtree.c

collision.o: collision.c collision.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c collision.c

